#
# spec file for package perl-Lingua-EN-Numbers-Ordinate
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname Lingua-EN-Numbers-Ordinate

Name:           perl-%{modname}
Version:        1.02
Release:        1699.9.pm.5
Summary:        Convert cardinal numbers (3) to ordinals ("3rd")
BuildRequires:  perl
#BuildRequires:  perl-macros
License:        Beerware
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
There are two kinds of numbers in English -- cardinals (1, 2, 3...), and
ordinals (1st, 2nd, 3rd...). This library provides functions for giving the
ordinal form of a number, given its cardinal value.

Authors:
--------
        Sean M. Burke <sburke@cpan.org>

%prep
%setup -q -n %{modname}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README ChangeLog
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Lingua
%{perl_vendorarch}/auto/Lingua

%changelog
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jun 20 2006 jfunk@funktronics.ca
- Build under buildservice
* Fri Nov 11 2005 jfunk@funktronics.ca
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Update
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Build for SL92
* Tue May 11 2004 jfunk@funktronics.ca
- Build for SL91
* Mon Nov  3 2003 jfunk@funktronics.ca
- Build for SUSE 9.0
* Fri May 30 2003 jfunk@funktronics.ca
- Build for SuSE 8.2
* Wed Dec 11 2002 jfunk@funktroncis.ca
- Build for SuSE 8.1
* Thu May 30 2002 jfunk@funktronics.ca
- Initial build with new spec layout
